{
  "workpart": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrderPart": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "idPart": {
        "type": "long"
      },
      "workPartQty": {
        "type": "double"
      },
      "workPartState": {
        "type": "integer"
      },
      "lockFlag": {
        "type": "integer"
      },
      "lockMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idLockMan": {
        "type": "long"
      },
      "pasteUpVisibleFlag": {
        "type": "integer"
      },
      "createMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idPaperType": {
        "type": "long"
      },
      "paperTypeName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "paperName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "paperGram": {
        "type": "integer"
      },
      "idProduct": {
        "type": "long"
      },
      "faceCount": {
        "type": "integer"
      },
      "fuMoFlag": {
        "type": "integer"
      },
      "moQieFlag": {
        "type": "integer"
      },
      "moduleCount": {
        "type": "integer"
      },
      "specialPaperFlag": {
        "type": "integer"
      },
      "qtyEnoughFlag": {
        "type": "integer"
      },
      "partSizeDesc": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}
